This project has moved. For the latest updates, please go here.

WAF and .Net 4.0

May 3, 2010 at 4:33 PM
Is the current download compatible with .net framework 4.0? It seems that it would be, but the requirements say nothing of 4.0, and only of 3.5 SP1.
Coordinator
May 3, 2010 at 7:50 PM
Edited May 8, 2010 at 12:26 PM

Yes, the WPF Application Framework (WAF) and the sample applications are 100% compatible with the .NET Framework 4.0.

How to run WAF in .NET 4.0?

  1. Open the Solution with Visual Studio 2010.
     
  2. Open the properties of all projects and change the targeting Framework to 4.0. You can skip the unit test project because Visual Studio updates them always to 4.0.
     
  3. Add a reference to 'System.Xaml' to the projects 'WpfApplicationFramework' and 'Writer.Applications'.